> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/25.-mutaciya-sokhranit-note-privyazannuyu-k-field.md).

# 25. Мутация: сохранить "Note", привязанную к "Field"

Это изменение позволяет прикрепить заметку к указанному участку (полю).

* Заметка может быть связана с Участком через его уникальный идентификатор `fieldUuid`.&#x20;
* Координату Заметки можно задать с помощью `centroid` атрибута, для которого требуются определённые `latitude` и `longitude` значения.&#x20;
* Тип Заметки можно указать с помощью `тип` атрибута с допустимыми значениями `PLANNED` или `REAL`.&#x20;
* Описание Заметки можно указать с помощью `comment` атрибута. Если описание должно быть многострочным, `comment` должен содержать строку с символами переноса строки `\\n` чтобы разделять строки. Например: `"Первая строка. находится здесь\\nВторая строка находится здесь.\\nТретья строка находится здесь."`.

Примеры запросов можно найти ниже:

```graphql
мутация SaveNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    тип: PLANNED,
    комментарий: "Тестовая заметка, прикреплённая к участку"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСоздания
    updatedDate
    тип
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутация SaveMultiLineNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    тип: PLANNED,
    комментарий: "Первая строка. находится здесь\\nВторая строка находится здесь.\\nТретья строка находится здесь."
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    датаСоздания
    updatedDate
    тип
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/25.-mutaciya-sokhranit-note-privyazannuyu-k-field.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
